<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">

	<!-- use the 'main' layout -->
	<xsl:include href="layouts/main.xsl"/>

	<!-- set page title -->
	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>

	<!-- the page content -->
	<xsl:template match="/page">
    <script type="text/javascript">
      <xsl:text disable-output-escaping="yes">$(window).load(function()
{
    var links = $("a");
    for(var i = 0; i &lt; links.length; i++)
    {
        if($(links[i]).attr("href") &amp;&amp; $(links[i]).attr("href").match("^#"))
        {
            $(links[i]).attr("href", document.URL + $(links[i]).attr("href"));
        }
    }
});</xsl:text></script>
		<xsl:call-template name="languageswap"/>
		<h2><gsf:collectionText name="about.textxwelcome"/></h2>
		<p><gsf:collectionText name="about.textxwelcome2"/></p>
		<p><gsf:collectionText name="about.textxbackground"/></p>
		<p><gsf:collectionText name="about.textxgrateful"/></p>
		
		<hr/>
		
		<h2><a name="background"><gsf:collectionText name="about.textxbackground2"/></a></h2>
		<gsf:collectionText name="about.textxbackground3"/>
		
		<hr/>
		
		<h2><a name="support"><gsf:collectionText name="about.textxsupporgs"/></a></h2>
		<a href="http://www.minedu.govt.nz/"><img src="http://www.minedu.govt.nz/minedu/images/ui/header/moe-logo.gif" style="border:0px;"/></a>		<p><gsf:collectionText name="about.textyaymined"/></p>
		<gsf:collectionText name="about.textxsupporgs2"/>
	</xsl:template> 

<xsl:template name="languageswap">
    <xsl:variable name="swaplangname"><xsl:choose><xsl:when test="/page/@lang = 'mi'">English</xsl:when><xsl:otherwise>Māori</xsl:otherwise></xsl:choose></xsl:variable>
<div style="text-align:right;"><small><a id="replaceLink"><xsl:attribute name="title"><gsf:collectionText name="about.changelangtofrommaori"/></xsl:attribute><xsl:value-of select="$swaplangname"/></a></small></div>
    <xsl:variable name="langcgiarg"><xsl:choose><xsl:when test="/page/@lang = 'mi'">l=en</xsl:when><xsl:otherwise>l=mi</xsl:otherwise></xsl:choose></xsl:variable>
<script type="text/javascript">
	<xsl:text disable-output-escaping="yes">
		$(window).ready(function()
		{
			var url = document.URL;
			if(url.indexOf("?") != -1)
			{
				if(url.search(/[&amp;?]?l=[^&amp;\b]*/g) != -1)
				{
					url = url.replace(/([&amp;?]?)l=[^&amp;\b]*/g, "$1</xsl:text><xsl:value-of select="$langcgiarg"/><xsl:text disable-output-escaping="yes">");
					$("#replaceLink").attr("href", url);
				}
				else
				{
					$("#replaceLink").attr("href", url + "&amp;</xsl:text><xsl:value-of select="$langcgiarg"/><xsl:text disable-output-escaping="yes">");
				}
			}
			else
			{
				$("#replaceLink").attr("href", url + "?</xsl:text><xsl:value-of select="$langcgiarg"/><xsl:text disable-output-escaping="yes">");
			}
		});
	</xsl:text>
</script>

</xsl:template>
</xsl:stylesheet>  

